/* ==UserStyle==
@name           Zendesk: Information Highlighter
@namespace      https://www.timhilton.xyz/stylus-rules/
@version        1.0.0
@description    UI enhancements for Zendesk including view highlighting and organization visibility
@author         Tim Hilton
@homepageURL    https://www.timhilton.xyz/stylus-rules/zendesk/information-highlighter/
@updateURL      https://www.timhilton.xyz/stylus-rules/zendesk/information-highlighter/latest/information-highlighter.user.css
==/UserStyle==*/

@-moz-document regexp("https://.*.zendesk.com/.*") {
/* Highlight the Views I'm most interested in */
[data-test-id="views_views-list_item-view-360027215018"],
[data-test-id="views_views-list_item-view-23644823128732"],
[data-test-id="views_views-list_item-view-24529931216668"] {
    /* Using inset box-shadow instead of a border so that it doesn't affect the layout of the other elements.
       Add :not([aria-current="page"]) to the selectors to hide the green box when the view is selected. */
    box-shadow: inset 0 0 0 3px green;
}

/* Make it more obvious which view is currently selected.
   This is the normal colour but with the opacity increased. */
.hgDsbf {
    background-color: rgb(38 148 214 / 45%);
}

/* Make the organisation easier to see on a ticket */
[data-test-id="tabs-nav-item-organizations"] {
    box-shadow: inset 0 0 0 3px green !important
}
}
